SocketTimeoutException Class Reference

Signals that an I/O operation has been interrupted. More...

Inherits InterruptedIOException.

## Public Member Functions

| SocketTimeoutException ()
| SocketTimeoutException (const SocketTimeoutException &)
SocketTimeoutException & | operator= (const SocketTimeoutException &)
Public Member Functions inherited from InterruptedIOException
| InterruptedIOException (const LogString &msg)
| InterruptedIOException (const InterruptedIOException &)
InterruptedIOException & | operator= (const InterruptedIOException &)
Public Member Functions inherited from IOException
| IOException ()
| IOException (log4cxx_status_t stat)
| IOException (const LogString &msg)
| IOException (const IOException &src)
IOException & | operator= (const IOException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Signals that an I/O operation has been interrupted.

An InterruptedIOException is thrown to indicate that an input or output transfer has been terminated because the thread performing it was interrupted. The field bytesTransferred indicates how many bytes were successfully transferred before the interruption occurred.

## Constructor & Destructor Documentation

SocketTimeoutException | ( |  | ) |

SocketTimeoutException | ( | const SocketTimeoutException & |  | ) |

## Member Function Documentation

SocketTimeoutException& operator= | ( | const SocketTimeoutException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h